Skip to main content
POST
/
api
/
v1
/
sandbox
/
{sandbox_id}
/
ssh-session
Create Ssh Session Endpoint
curl --request POST \
  --url https://api.primeintellect.ai/api/v1/sandbox/{sandbox_id}/ssh-session \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ttl_seconds": 123
}
'
{
  "session_id": "<string>",
  "exposure_id": "<string>",
  "sandbox_id": "<string>",
  "host": "<string>",
  "port": 123,
  "external_endpoint": "<string>",
  "expires_at": "2023-11-07T05:31:56Z",
  "ttl_seconds": 123,
  "gateway_url": "<string>",
  "user_ns": "<string>",
  "job_id": "<string>",
  "token": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt

Use this file to discover all available pages before exploring further.

Rate Limit

20 requests per 60 seconds per IP and token per sandbox.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

sandbox_id
string
required

Body

application/json
ttl_seconds
integer | null

Optional TTL for the SSH session in seconds (max 3600). Defaults to 900.

Response

Successful Response

session_id
string
required
exposure_id
string
required
sandbox_id
string
required
host
string
required
port
integer
required
external_endpoint
string
required
expires_at
string<date-time>
required
ttl_seconds
integer
required
gateway_url
string
required
user_ns
string
required
job_id
string
required
token
string
required